Subject: Re: [PATCH 1/3] powerpc/mpc85xx: remove the unneeded pci init functions for corenet ds board

From: Scott Wood <[email-masked]>
Date: Mon, 3 Jun 2013 11:42:03 -0500

On 06/01/2013 07:07:20 PM, Kevin Hao wrote:
> On Sat, Jun 01, 2013 at 09:47:16PM +1000, Benjamin Herrenschmidt =20
> wrote:
> > On Sat, 2013-06-01 at 18:59 +0800, Kevin Hao wrote:
> >
> > > The effect of this change is that the isa_io_base will be 0 and =20
> the IO
> > > resource are equal to the virtual address of the IO space. But =20
> the IO
> > > functions such as outx/inx should work as well. This is why I ask =20
> the
> > > above question. What do you think about this? Are there any =20
> subtle bugs
> > > that will be triggered by this?
> >
> > I don't see any obvious reason why that wouldn't work but like =20
> anything
> > in that area, it needs a bit of testing & hammering to be sure ;-)
>=20
> Agreed.

Please include QEMU in your testing, as that was where breakage was =20
observed that caused us to add the default primary.

> > In fact it would work on pmac32 as well since those generally don't =20
> have
> > legacy crap either.
> >
> > So I have no fundamental objection, it just needs testing. My worry =20
> is
> > that we need to make sure we don't break old chrp and I don't have =20
> any
> > to test with.
>=20
> Don't worry, my patch just drop the picking of primary bus for several
> fsl boards. All these changes are in board specific file, so it should
> have no affect to other boards at all.

Is anything actually fixed by this?

-Scott=